OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.TextureInteger

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTextureInteger :: MonadIO m => m Bool
- gl_EXT_texture_integer :: Bool
- gl_ALPHA16I_EXT :: GLenum
- gl_ALPHA16UI_EXT :: GLenum
- gl_ALPHA32I_EXT :: GLenum
- gl_ALPHA32UI_EXT :: GLenum
- gl_ALPHA8I_EXT :: GLenum
- gl_ALPHA8UI_EXT :: GLenum
- gl_ALPHA_INTEGER_EXT :: GLenum
- gl_BGRA_INTEGER_EXT :: GLenum
- gl_BGR_INTEGER_EXT :: GLenum
- gl_BLUE_INTEGER_EXT :: GLenum
- gl_GREEN_INTEGER_EXT :: GLenum
- gl_INTENSITY16I_EXT :: GLenum
- gl_INTENSITY16UI_EXT :: GLenum
- gl_INTENSITY32I_EXT :: GLenum
- gl_INTENSITY32UI_EXT :: GLenum
- gl_INTENSITY8I_EXT :: GLenum
- gl_INTENSITY8UI_EXT :: GLenum
- gl_LUMINANCE16I_EXT :: GLenum
- gl_LUMINANCE16UI_EXT :: GLenum
- gl_LUMINANCE32I_EXT :: GLenum
- gl_LUMINANCE32UI_EXT :: GLenum
- gl_LUMINANCE8I_EXT :: GLenum
- gl_LUMINANCE8UI_EXT :: GLenum
- gl_LUMINANCE_ALPHA16I_EXT :: GLenum
- gl_LUMINANCE_ALPHA16UI_EXT :: GLenum
- gl_LUMINANCE_ALPHA32I_EXT :: GLenum
- gl_LUMINANCE_ALPHA32UI_EXT :: GLenum
- gl_LUMINANCE_ALPHA8I_EXT :: GLenum
- gl_LUMINANCE_ALPHA8UI_EXT :: GLenum
- gl_LUMINANCE_ALPHA_INTEGER_EXT :: GLenum
- gl_LUMINANCE_INTEGER_EXT :: GLenum
- gl_RED_INTEGER_EXT :: GLenum
- gl_RGB16I_EXT :: GLenum
- gl_RGB16UI_EXT :: GLenum
- gl_RGB32I_EXT :: GLenum
- gl_RGB32UI_EXT :: GLenum
- gl_RGB8I_EXT :: GLenum
- gl_RGB8UI_EXT :: GLenum
- gl_RGBA16I_EXT :: GLenum
- gl_RGBA16UI_EXT :: GLenum
- gl_RGBA32I_EXT :: GLenum
- gl_RGBA32UI_EXT :: GLenum
- gl_RGBA8I_EXT :: GLenum
- gl_RGBA8UI_EXT :: GLenum
- gl_RGBA_INTEGER_EXT :: GLenum
- gl_RGBA_INTEGER_MODE_EXT :: GLenum
- gl_RGB_INTEGER_EXT :: GLenum
- glClearColorIiEXT :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glClearColorIuiEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glGetTexParameterIivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetTexParameterIuivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLuint -> m ()
- glTexParameterIivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glTexParameterIuivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLuint -> m ()

# Extension Support

glGetEXTTextureInteger :: MonadIO m => m Bool

Is the EXT_texture_integer extension supported?

gl_EXT_texture_integer :: Bool

Is the EXT_texture_integer extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTextureInteger` in those cases instead.

# Enums

gl_ALPHA16I_EXT :: GLenum

gl_ALPHA16UI_EXT :: GLenum

gl_ALPHA32I_EXT :: GLenum

gl_ALPHA32UI_EXT :: GLenum

gl_ALPHA8I_EXT :: GLenum

gl_ALPHA8UI_EXT :: GLenum

gl_ALPHA_INTEGER_EXT :: GLenum

gl_BGRA_INTEGER_EXT :: GLenum

gl_BGR_INTEGER_EXT :: GLenum

gl_BLUE_INTEGER_EXT :: GLenum

gl_GREEN_INTEGER_EXT :: GLenum

gl_INTENSITY16I_EXT :: GLenum

gl_INTENSITY16UI_EXT :: GLenum

gl_INTENSITY32I_EXT :: GLenum

gl_INTENSITY32UI_EXT :: GLenum

gl_INTENSITY8I_EXT :: GLenum

gl_INTENSITY8UI_EXT :: GLenum

gl_LUMINANCE16I_EXT :: GLenum

gl_LUMINANCE16UI_EXT :: GLenum

gl_LUMINANCE32I_EXT :: GLenum

gl_LUMINANCE32UI_EXT :: GLenum

gl_LUMINANCE8I_EXT :: GLenum

gl_LUMINANCE8UI_EXT :: GLenum

gl_LUMINANCE_ALPHA16I_EXT :: GLenum

gl_LUMINANCE_ALPHA16UI_EXT :: GLenum

gl_LUMINANCE_ALPHA32I_EXT :: GLenum

gl_LUMINANCE_ALPHA32UI_EXT :: GLenum

gl_LUMINANCE_ALPHA8I_EXT :: GLenum

gl_LUMINANCE_ALPHA8UI_EXT :: GLenum

gl_LUMINANCE_ALPHA_INTEGER_EXT :: GLenum

gl_LUMINANCE_INTEGER_EXT :: GLenum

gl_RED_INTEGER_EXT :: GLenum

gl_RGB16I_EXT :: GLenum

gl_RGB16UI_EXT :: GLenum

gl_RGB32I_EXT :: GLenum

gl_RGB32UI_EXT :: GLenum

gl_RGB8I_EXT :: GLenum

gl_RGB8UI_EXT :: GLenum

gl_RGBA16I_EXT :: GLenum

gl_RGBA16UI_EXT :: GLenum

gl_RGBA32I_EXT :: GLenum

gl_RGBA32UI_EXT :: GLenum

gl_RGBA8I_EXT :: GLenum

gl_RGBA8UI_EXT :: GLenum

gl_RGBA_INTEGER_EXT :: GLenum

gl_RGBA_INTEGER_MODE_EXT :: GLenum

gl_RGB_INTEGER_EXT :: GLenum

# Functions

glClearColorIiEXT

Arguments

:: MonadIO m |
=> GLint | `red`.
-> GLint | `green`.
-> GLint | `blue`.
-> GLint | `alpha`.
-> m () |

glClearColorIuiEXT

Arguments

:: MonadIO m |
=> GLuint | `red`.
-> GLuint | `green`.
-> GLuint | `blue`.
-> GLuint | `alpha`.
-> m () |

glGetTexParameterIivEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetTexParameterIiv`.

glGetTexParameterIuivEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

This command is an alias for `glGetTexParameterIuiv`.

glTexParameterIivEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glTexParameterIiv`.

glTexParameterIuivEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

This command is an alias for `glTexParameterIuiv`.